org.apache.olingo.ext.proxy.utils

## Class ProxyUtils

- java.lang.Object
- - org.apache.olingo.ext.proxy.utils.ProxyUtils

-     public class ProxyUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `getComplexProxy(AbstractService<?> service, String name, ClientValue value, Class<?> ref, EntityInvocationHandler handler, URI baseURI, boolean collectionItem)`
    `static Object` | `getEntityCollectionProxy(AbstractService<?> service, Class<?> typeRef, Class<?> typeCollectionRef, URI targetEntitySetURI, ClientEntitySet entitySet, URI uri, boolean checkInTheContext)`
    `static Object` | `getEntityProxy(AbstractService<?> service, ClientEntity entity, URI entitySetURI, Class<?> type, String eTag, boolean checkInTheContext)`
    `static Object` | `getEntitySetProxy(AbstractService<?> service, Class<?> typeRef, ClientEntitySet entitySet, URI uri, boolean checkInTheContext)`
    `static Object` | `getEntitySetProxy(AbstractService<?> service, Class<?> typeRef, URI uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyUtils

          public ProxyUtils()

  - ### Method Detail

    - #### getEntityCollectionProxy

          public static Object getEntityCollectionProxy(AbstractService<?> service,
                                                        Class<?> typeRef,
                                                        Class<?> typeCollectionRef,
                                                        URI targetEntitySetURI,
                                                        ClientEntitySet entitySet,
                                                        URI uri,
                                                        boolean checkInTheContext)

    - #### getEntitySetProxy

          public static Object getEntitySetProxy(AbstractService<?> service,
                                                 Class<?> typeRef,
                                                 ClientEntitySet entitySet,
                                                 URI uri,
                                                 boolean checkInTheContext)

    - #### getEntitySetProxy

          public static Object getEntitySetProxy(AbstractService<?> service,
                                                 Class<?> typeRef,
                                                 URI uri)

    - #### getEntityProxy

          public static Object getEntityProxy(AbstractService<?> service,
                                              ClientEntity entity,
                                              URI entitySetURI,
                                              Class<?> type,
                                              String eTag,
                                              boolean checkInTheContext)

    - #### getComplexProxy

          public static Object getComplexProxy(AbstractService<?> service,
                                               String name,
                                               ClientValue value,
                                               Class<?> ref,
                                               EntityInvocationHandler handler,
                                               URI baseURI,
                                               boolean collectionItem)

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.